summaryrefslogtreecommitdiffstats
path: root/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-09-14 13:08:13 +0200
committer Eric Hameleers <alien@slackware.com>2019-09-14 13:08:13 +0200
commitddfdebbe9bad6eeb4328fd23f657b86bb9fc0fb9 (patch)
treed47302fc02d9e4fdc08a4a21b943c8611bbcf115 /deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
parente661683d4ed5c18b3aefdb052ae16b2c08e2148e (diff)
downloadktown-ddfdebbe9bad6eeb4328fd23f657b86bb9fc0fb9.tar.gz
ktown-ddfdebbe9bad6eeb4328fd23f657b86bb9fc0fb9.tar.xz
Deps: updated for the upcoming release
The qt5 and qt5-speech packages have been updated to 5.13.1, PyQt5 was updated to 5.13.0. There's a new official polkit-qt5-1 version too: 0.113.0. The cryfs package was updated to 0.10.2. Tthe phonon layer is now Qt5-only: phonon 4.11.0, phonon-gstreamer 4.10.0, phonon-vlc 0.11.0.
Diffstat (limited to '')
-rwxr-xr-xdeps/phonon-gstreamer/phonon-gstreamer.SlackBuild40
1 files changed, 10 insertions, 30 deletions
diff --git a/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild b/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
index 13b1e4e..bad913e 100755
--- a/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
+++ b/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
@@ -27,10 +27,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=phonon-gstreamer
SRCNAM=phonon-backend-gstreamer
-VERSION=${VERSION:-4.9.0}
-BUILD=${BUILD:-2}
-
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+VERSION=${VERSION:-4.10.0}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -69,15 +67,17 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION || exit 1
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -87,8 +87,9 @@ find . \
-exec chmod 644 {} \;
echo Building ...
-mkdir -p build
-cd build
+# Qt5 is the only supported version of Qt as of 4.10.0:
+mkdir -p build-qt5
+cd build-qt5
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
@@ -104,27 +105,6 @@ cd build
make DESTDIR=$PKG install
cd -
-# Conditional build of Qt5 support:
-if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
- mkdir -p build-qt5
- cd build-qt5
- cmake \
- -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DMAN_INSTALL_DIR=/usr/man \
- -DSYSCONF_INSTALL_DIR=/etc \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DPHONON_BUILD_PHONON4QT5=ON \
- ..
- make $NUMJOBS
- make DESTDIR=$PKG install
- cd -
-fi
-
# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \